<?php
namespace FiloBlu\Storelocator\Model;

use Magento\Framework\Exception\LocalizedException as CoreException;

class Images extends \Magento\Framework\Model\AbstractModel
{

    protected $imagesCollectionFactory;

    /**
     * Store manager
     *
     * @var \Magento\Store\Model\StoreManagerInterface
     */
    protected $_storeManager;

    public function __construct(
        \FiloBlu\Storelocator\Model\ResourceModel\Images\CollectionFactory $imagesCollectionFactory,
        \Magento\Store\Model\StoreManagerInterface $_storeManager,
        \Magento\Framework\Model\Context $context,
        \Magento\Framework\Registry $registry,
        \Magento\Framework\Model\ResourceModel\AbstractResource $resource = null,
        \Magento\Framework\Data\Collection\AbstractDb $resourceCollection = null,
        array $data = []
    )
    {
        $this->imagesCollectionFactory = $imagesCollectionFactory;
        $this->_storeManager = $_storeManager;
        parent::__construct($context, $registry, $resource, $resourceCollection, $data);
    }

    /**
     * Initialize resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init('FiloBlu\Storelocator\Model\ResourceModel\Images');
    }


    public function getAvailableStatuses()
    {
        return array(
            0 => "Disabled",
            1 => "Enabled"
        );
    }

    public function getAllImages()
    {
        $collection = $this->imagesCollectionFactory->create();
        $collection->addFieldToFilter('enabled', ["eq" => 1]);

        return $collection;
    }

    public function getImagesByStore($storeId)
    {
        $collection = $this->getAllImages();
        $collection->addFieldToFilter('store_id', ["eq" => $storeId]);

        return $collection;
    }

}